View Issue Details

IDProjectCategoryView StatusLast Update
0003336PathFeaturepublic2021-04-28 15:18
Reportersliptonic Assigned Todubstar_04  
PriorityhighSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.18 
Target Version0.20Fixed in Version0.19 
Summary0003336: Tool Data Struture, Library, and Editor overhaul
DescriptionTool Geometry is used in tool path calculation but also in simulation.

The current tool definition includes a number of properties like
cutting edge angle
cutting edge height
diameter
etc

Only a couple properties are used at all and others are confusing, contradictory, or useless.

A new structure is needed that can cover many different types of tools including drills, endmills, lathe tools, shell cutters, fly cutters, and others.
Steps To ReproduceAn ideal solution will provide an extensible data structure that allows new kinds of tools to be added over time.

The data gathered should drive a parametric modeling of the tool representation for simulation and visualization.

Tool definitions and attributes should use industry standards whenever possible.
Additional Informationhttps://forum.freecadweb.org/viewtopic.php?f=15&t=23879
https://forum.freecadweb.org/viewtopic.php?f=15&t=23917#p186875
https://forum.freecadweb.org/viewtopic.php?f=15&t=26698
TagsNo tags attached.
FreeCAD Information

Activities

chrisb

2018-02-02 11:24

developer   ~0010913

Show Preview of tool shape

imtaurus94

2018-05-02 19:57

reporter   ~0011222

I suggest that we try to implement this standard:
ISO 13399 (Cutting tool data representation and exchange)
https://en.wikipedia.org/wiki/ISO_13399

sliptonic

2018-05-02 20:52

manager   ~0011224

ISO 13399 has come up before:
https://forum.freecadweb.org/viewtopic.php?t=24927

The problem has been getting a copy of the standard. It's one of those that is not freely available and expensive.

An ideal solution would be to implement iso 13399 as a standalone python library that could be used in FreeCAD but also other projects like linuxcnc

imtaurus94

2018-05-02 21:20

reporter   ~0011225

Last edited: 2018-05-02 21:21

My university library has a copy of the standard. Also, to follow a post on the forum, I've been able to download some documents from Sandvik on the file structure associated with the standard. I probably won't be able to implement a python library myself, but I'd be willing to help.

gtc-hierarchy-introduction-20150701.pdf (Attachment missing)
gtc-package-specification-2-0-0.pdf (Attachment missing)

dubstar_04

2019-08-21 10:05

developer   ~0013439

Can I assign this to me?

dubstar_04

2021-04-28 15:18

developer   ~0015645

Following the toolbit overhaul for 0.19 I believe this issue can now be closed.

Issue History

Date Modified Username Field Change
2018-02-01 16:20 sliptonic New Issue
2018-02-02 11:24 chrisb Note Added: 0010913
2018-05-02 19:57 imtaurus94 Note Added: 0011222
2018-05-02 20:52 sliptonic Note Added: 0011224
2018-05-02 21:20 imtaurus94 File Added: gtc-hierarchy-introduction-20150701.pdf
2018-05-02 21:20 imtaurus94 File Added: gtc-package-specification-2-0-0.pdf
2018-05-02 21:20 imtaurus94 Note Added: 0011225
2018-05-02 21:21 imtaurus94 Note Edited: 0011225
2019-01-22 05:11 sliptonic Status new => feedback
2019-01-22 05:11 sliptonic Target Version 0.18 => 0.19
2019-08-21 10:05 dubstar_04 Note Added: 0013439
2019-08-21 16:48 dubstar_04 Assigned To => dubstar_04
2019-08-21 16:48 dubstar_04 Status feedback => assigned
2021-02-06 06:33 abdullah Target Version => 0.20
2021-04-28 15:18 dubstar_04 Note Added: 0015645
2021-04-28 15:18 dubstar_04 Status assigned => closed
2021-04-28 15:18 dubstar_04 Resolution open => fixed
2021-04-28 15:18 dubstar_04 Fixed in Version => 0.19